| TagLib 1.13 |  |

Macros
modfileprivate.h File Reference

Go to the source code of this file.

## Macros
#define | READ_ASSERT(cond)
#define | READ(setter, type, read)
#define | READ_BYTE(setter) READ(setter,unsigned char,readByte)
#define | READ_U16L(setter) READ(setter,unsigned short,readU16L)
#define | READ_U32L(setter) READ(setter,unsigned long,readU32L)
#define | READ_U16B(setter) READ(setter,unsigned short,readU16B)
#define | READ_U32B(setter) READ(setter,unsigned long,readU32B)
#define | READ_STRING(setter, size)
#define | READ_AS(type, name, read)
#define | READ_BYTE_AS(name) READ_AS(unsigned char,name,readByte)
#define | READ_U16L_AS(name) READ_AS(unsigned short,name,readU16L)
#define | READ_U32L_AS(name) READ_AS(unsigned long,name,readU32L)
#define | READ_U16B_AS(name) READ_AS(unsigned short,name,readU16B)
#define | READ_U32B_AS(name) READ_AS(unsigned long,name,readU32B)
#define | READ_STRING_AS(name, size)

## Macro Definition Documentation

## ◆ READ

#define READ | ( |  | setter,
|  |  | type,
|  |  | read
| ) |  |

Value:
{ \
type number; \
READ_ASSERT(read(number)); \
setter(number); \
}

## ◆ READ_AS

#define READ_AS | ( |  | type,
|  |  | name,
|  |  | read
| ) |  |

Value:
type name = 0; \
READ_ASSERT(read(name));

## ◆ READ_ASSERT

#define READ_ASSERT | ( |  | cond | ) |

Value:
if(!(cond)) \
{ \
setValid(false); \
return; \
}

## ◆ READ_BYTE

#define READ_BYTE | ( |  | setter | ) | READ(setter,unsigned char,readByte)

## ◆ READ_BYTE_AS

#define READ_BYTE_AS | ( |  | name | ) | READ_AS(unsigned char,name,readByte)

## ◆ READ_STRING

#define READ_STRING | ( |  | setter,
|  |  | size
| ) |  |

Value:
{ \
String s; \
READ_ASSERT(readString(s, size)); \
setter(s); \
}

## ◆ READ_STRING_AS

#define READ_STRING_AS | ( |  | name,
|  |  | size
| ) |  |

Value:
String name; \
READ_ASSERT(readString(name, size));

## ◆ READ_U16B

#define READ_U16B | ( |  | setter | ) | READ(setter,unsigned short,readU16B)

## ◆ READ_U16B_AS

#define READ_U16B_AS | ( |  | name | ) | READ_AS(unsigned short,name,readU16B)

## ◆ READ_U16L

#define READ_U16L | ( |  | setter | ) | READ(setter,unsigned short,readU16L)

## ◆ READ_U16L_AS

#define READ_U16L_AS | ( |  | name | ) | READ_AS(unsigned short,name,readU16L)

## ◆ READ_U32B

#define READ_U32B | ( |  | setter | ) | READ(setter,unsigned long,readU32B)

## ◆ READ_U32B_AS

#define READ_U32B_AS | ( |  | name | ) | READ_AS(unsigned long,name,readU32B)

## ◆ READ_U32L

#define READ_U32L | ( |  | setter | ) | READ(setter,unsigned long,readU32L)

## ◆ READ_U32L_AS

#define READ_U32L_AS | ( |  | name | ) | READ_AS(unsigned long,name,readU32L)